improve kill  script
diff --git a/releng.control/killcc.sh b/releng.control/killcc.sh
index 28dbe1a..dd9867e 100644
--- a/releng.control/killcc.sh
+++ b/releng.control/killcc.sh
@@ -2,17 +2,23 @@
 PIDFILE=cc.pid
 echo;
 if [ -f ${PIDFILE} ] ; then
-  echo "    Killing CC process from PID file";
+  echo "    Killing CC process from PID file"
   PID=`cat ${PIDFILE}`
   kill -3 $PID
-  if kill -9 $PID ; then
-    echo "    CC process stopped";
+  # if permission denied, for example, then be sure not to remove PID file
+  if [ $? ] 
+  then
+	  if kill -9 $PID ; then
+	    echo "    CC process stopped"
+	    rm -f ${PIDFILE}
+	  else
+	    echo "    CC process could not be stopped"
+	  fi
   else
-    echo "    CC process could not be stopped";
+    echo "    Could not kill the process."  
   fi
-  rm -f ${PIDFILE}
 else
-	echo "    PID file (${PIDFILE}) does not exist.";
-	echo "        Either CC not running, or PID file deleted";
+	echo "    PID file (${PIDFILE}) does not exist."
+	echo "        Either CC not running, or PID file deleted"
 fi
-echo;
\ No newline at end of file
+echo
\ No newline at end of file